Package com.xebialabs.xlrelease.domain

## Class UserProfile

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.UserProfile

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=CONFIGURATION,
                versioned=false)
      public class UserProfile
      extends BaseConfigurationItem

  No setters defined, because user profiles may be cached.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserProfile()` |
    `UserProfile​(java.lang.String id)` |
    `UserProfile​(java.lang.String id, java.lang.String email, java.lang.String fullName, boolean loginAllowed)` |
    `UserProfile​(java.lang.String id, java.lang.String email, java.lang.String fullName, boolean loginAllowed, java.lang.String externalId)` |
    `UserProfile​(java.lang.String id, java.lang.String email, java.lang.String fullName, boolean loginAllowed, java.util.Date lastActive)` |
    `UserProfile​(java.lang.String id, java.lang.String email, java.lang.String fullName, boolean loginAllowed, java.util.Date lastActive, java.lang.String externalId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCanonicalId()` |
    `java.lang.String` | `getDateFormat()` |
    `java.lang.String` | `getEmail()` |
    `java.lang.String` | `getExternalId()` |
    `java.lang.Integer` | `getFirstDayOfWeek()` |
    `java.lang.String` | `getFullName()` |
    `java.util.Date` | `getLastActive()` |
    `java.lang.String` | `getTimeFormat()` |
    `boolean` | `isAnalyticsEnabled()` |
    `boolean` | `isLoginAllowed()` |
    `boolean` | `isTaskDrawerEnabled()` |
    `void` | `setAnalyticsEnabled​(boolean analyticsEnabled)` |
    `void` | `setDateFormat​(java.lang.String dateFormat)` |
    `void` | `setEmail​(java.lang.String email)` |
    `void` | `setExternalId​(java.lang.String externalId)` |
    `void` | `setFirstDayOfWeek​(java.lang.Integer firstDayOfWeek)` |
    `void` | `setFullName​(java.lang.String fullName)` |
    `void` | `setLastActive​(java.util.Date lastActive)` |
    `void` | `setLoginAllowed​(boolean loginAllowed)` |
    `void` | `setTaskDrawerEnabled​(boolean taskDrawerEnabled)` |
    `void` | `setTimeFormat​(java.lang.String timeFormat)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserProfile

          public UserProfile()

    - #### UserProfile

          public UserProfile​(java.lang.String id)

    - #### UserProfile

          public UserProfile​(java.lang.String id,
                             java.lang.String email,
                             java.lang.String fullName,
                             boolean loginAllowed)

    - #### UserProfile

          public UserProfile​(java.lang.String id,
                             java.lang.String email,
                             java.lang.String fullName,
                             boolean loginAllowed,
                             java.lang.String externalId)

    - #### UserProfile

          public UserProfile​(java.lang.String id,
                             java.lang.String email,
                             java.lang.String fullName,
                             boolean loginAllowed,
                             java.util.Date lastActive)

    - #### UserProfile

          public UserProfile​(java.lang.String id,
                             java.lang.String email,
                             java.lang.String fullName,
                             boolean loginAllowed,
                             java.util.Date lastActive,
                             java.lang.String externalId)

  - ### Method Detail

    - #### getEmail

          public java.lang.String getEmail()

    - #### setEmail

          public void setEmail​(java.lang.String email)

    - #### getCanonicalId

          public java.lang.String getCanonicalId()

    - #### getFullName

          public java.lang.String getFullName()

    - #### setFullName

          public void setFullName​(java.lang.String fullName)

    - #### getExternalId

          public java.lang.String getExternalId()

    - #### setExternalId

          public void setExternalId​(java.lang.String externalId)

    - #### isLoginAllowed

          public boolean isLoginAllowed()

    - #### setLoginAllowed

          public void setLoginAllowed​(boolean loginAllowed)

    - #### getDateFormat

          public java.lang.String getDateFormat()

    - #### setDateFormat

          public void setDateFormat​(java.lang.String dateFormat)

    - #### getTimeFormat

          public java.lang.String getTimeFormat()

    - #### setTimeFormat

          public void setTimeFormat​(java.lang.String timeFormat)

    - #### getFirstDayOfWeek

          public java.lang.Integer getFirstDayOfWeek()

    - #### setFirstDayOfWeek

          public void setFirstDayOfWeek​(java.lang.Integer firstDayOfWeek)

    - #### getLastActive

          public java.util.Date getLastActive()

    - #### setLastActive

          public void setLastActive​(java.util.Date lastActive)

    - #### isAnalyticsEnabled

          public boolean isAnalyticsEnabled()

    - #### setAnalyticsEnabled

          public void setAnalyticsEnabled​(boolean analyticsEnabled)

    - #### isTaskDrawerEnabled

          public boolean isTaskDrawerEnabled()

    - #### setTaskDrawerEnabled

          public void setTaskDrawerEnabled​(boolean taskDrawerEnabled)